#3dhop { position:relative;width:100%; height:100%;-webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

#toolbar {text-align: center;width:30px;padding:2px;border-radius: 3px 3px 3px 3px;position:absolute;left:8px;top:5px;-webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

#tdhlg { position:absolute; width:105px; height:13px; overflow:hidden; cursor:pointer; color:#909090; text-align:center; text-decoration:none; font-family:verdana; font-style:italic; font-size:10px; line-height:13px; -webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

#buttons { position:absolute;right:2px;top:5px;-webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

#rendering {display:none; position:absolute; background:green;right:10px; width:220px;-webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

hr{ height: 1px; background-color: #fdfdfd; border: none;}

#toolbar img { opacity:0.5; cursor:pointer; -webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

.output-box { position:absolute; left:7%;display:none; border-radius:5px; margin:0; height:48px; padding:0 5px 2px 5px; cursor:default; background-color:rgba(125,125,125,0.5); color:#f8f8f8; text-decoration:none; text-align:center; font-family:verdana; font-style:italic; font-size:12px; line-height:20px; -webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

.output-text { padding:0px 5px 0px 5px; cursor:text; -webkit-user-select:text; -webkit-touch-callout:text; -khtml-user-select:text; -moz-user-select:text; -ms-user-select:text; user-select:text; }

.output-input { vertical-align:middle; cursor:pointer; height:15px; -webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

.output-table { margin:0; width:100%; color:#f8f8f8; text-align:center; font-style:italic; font-size:12px; line-height:15px; -webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }

.output-table img { height:25px; cursor:pointer; background-color:rgba(125,125,125,0.25); border:1px outset; border-radius:5px; -webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; user-drag: none; -webkit-user-drag: none; }

.output-table img:hover { background-color:rgba(125,125,125,0.8); }

.output-box hr {  margin:0 0 3px 0; border:0; height:1px; background-image:linear-gradient(to right, rgba(0, 0, 0, 0), rgba(225, 225, 225, 0.75), rgba(0, 0, 0, 0)); }

#draw-canvas { width:100%; height:100%; background-repeat:no-repeat; background-position:center center; -webkit-background-size:cover; -moz-background-size:cover; -o-background-size:cover; background-size:cover; outline:none; -webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }
.show-fullscreen{display:none;}
:fullscreen .show-fullscreen{display:inline;}
div > .largetools > img {width:40px;height:40px;margin-bottom:4px;}
div > .smalltools > img {width:25px;height:25px;margin-bottom:2px;}

/*IE*/
input[type=range].output-input { padding: 0; width: 125px; } .output-input::-ms-tooltip { display: none; }

/*DEPRECATED*/
#measurebox { position:absolute; visibility:hidden; overflow:hidden; border-radius:5px; right:10; top:10; margin:0; width:105px; height:26px; cursor:default; color:#909090; text-decoration:none; text-align:center; font-family:verdana; font-style:italic; font-size:10px; line-height:13px;  -webkit-user-select:none; -webkit-touch-callout:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; user-select:none; touch-action:none; -ms-touch-action:none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-tap-highlight-color: transparent; }
#measure-output { cursor:text; -webkit-user-select:text; -webkit-touch-callout:text; -khtml-user-select:text; -moz-user-select:text; -ms-user-select:text; user-select:text; }

.radio {
	padding: 0px;
	border-radius: 2px;
	position: relative;
	margin-bottom:3px;
	background-color:#808080;
	opacity:0.7; 
}

.radio input {
	width: auto;
	height: 100%;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	outline: none;
	cursor: pointer;
	border-radius: 2px;
	padding: 2px 4px;
	background: #404040;
	color: #808080;
	font-size: 14px;
	font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
		"Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji",
		"Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
	transition: all 100ms linear;
}

.radio input:checked {
	/*background-image: linear-gradient(180deg, #95d891, #74bbad);*/
	color: #fff;
	background: #808080;
	box-shadow: 0 1px 1px #0000002e;
	text-shadow: 0 1px 0px #79485f7a;
}

.radio input:before {
	content: attr(label);
	display: inline-block;
	text-align: center;
	width: 100%;
}

.radio label {
  color: #fff;
  padding: 1px 4px;
  font-size: 14px;
  font-family: "Helvetica Neue", Arial, sans-serif;
}

fieldset {
  opacity:0.7;
  border:0px;
}

legend {
  background-color: black;
  color: #cccccc;
  padding: 2px 2px;
  font-size: 14px;
  font-family: "Lato", Arial, sans-serif;
}